Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagLibraryInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagLibraryInfo

public abstract class TagLibraryInfo
extends java.lang.Object

Information about the entire tag library. Tag libraries are declared in a JSP file like: ``

      <%@ taglib prefix='foo' uri='WEB-INF/tags.tld' %>

The tags.tld will look something like: ``

     <taglib>
       <uri>http://www.caucho.com/taglibs/2000-03-04/mytaglib.tld</uri>
       <info>A sample tag library</info>
       <shortname>mytaglib</shortname>
       <jspversion>1.1</jspversion>

       ...

       <tag>
         ...
       </tag>
     </taglib>

Field Summary
`protected java.lang.String` | `info`
`protected java.lang.String` | `jspversion`
`protected java.lang.String` | `prefix`
`protected java.lang.String` | `shortname`
`protected TagInfo[]` | `tags`
`protected java.lang.String` | `tlibversion`
`protected java.lang.String` | `uri`
`protected java.lang.String` | `urn`

Constructor Summary
`protected` | `TagLibraryInfo(java.lang.String prefix, java.lang.String uri)` Called by the JSP engine to collect tag library information.

Method Summary
`java.lang.String` | `getInfoString()` Returns a descriptive string for the library.
`java.lang.String` | `getPrefixString()` Returns the library's prefix string from the taglib declaration: ``
`java.lang.String` | `getReliableURN()` Returns a canonical name representing this tag library.
`java.lang.String` | `getRequiredVersion()` Returns the minimum required JSP version for the tag library.
`java.lang.String` | `getShortName()` The preferred short name for the library.
`TagInfo` | `getTag(java.lang.String name)` Returns the information for a specific tag.
`TagInfo[]` | `getTags()` Returns an array of all the tags in the library
`java.lang.String` | `getURI()` Returns the library's uri from the taglib declaration: ``

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected java.lang.String info

### jspversion

    protected java.lang.String jspversion

### prefix

    protected java.lang.String prefix

### tags

    protected TagInfo[] tags

### tlibversion

    protected java.lang.String tlibversion

### uri

    protected java.lang.String uri

### urn

    protected java.lang.String urn

### shortname

    protected java.lang.String shortname

Constructor Detail

### TagLibraryInfo

    protected TagLibraryInfo(java.lang.String prefix,
                             java.lang.String uri)

  Called by the JSP engine to collect tag library information.

Method Detail

### getInfoString

    public java.lang.String getInfoString()

  Returns a descriptive string for the library. Taken from the `info` attribute in the TLD. `

       <taglib>
         <info>A sample tag library</info>

  `

### getPrefixString

    public java.lang.String getPrefixString()

  Returns the library's prefix string from the taglib declaration: `

        <%@ taglib prefix='foo' uri='WEB-INF/tags.tld' %>

  `

### getURI

    public java.lang.String getURI()

  Returns the library's uri from the taglib declaration: `

        <%@ taglib prefix='foo' uri='WEB-INF/tags.tld' %>

  `

### getShortName

    public java.lang.String getShortName()

  The preferred short name for the library.

### getReliableURN

    public java.lang.String getReliableURN()

  Returns a canonical name representing this tag library. Taken from the `uri` attribute in the taglib. `

       <taglib>
         <uri>http://www.caucho.com/taglibs/2000-03-04/mytaglib.tld</uri>

  `

### getRequiredVersion

    public java.lang.String getRequiredVersion()

  Returns the minimum required JSP version for the tag library.

### getTags

    public TagInfo[] getTags()

  Returns an array of all the tags in the library

### getTag

    public TagInfo getTag(java.lang.String name)

  Returns the information for a specific tag.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD